Bug 702995 - [abrt] blogtk-2.0-4.fc15: editor.py:29:<module>:ImportError: No module named gtksourceview2
Summary: [abrt] blogtk-2.0-4.fc15: editor.py:29:<module>:ImportError: No module named ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: blogtk
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul W. Frields
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:518933eef0d639e9a3a5c06d744...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-08 22:33 UTC by Gerard Ryan
Modified: 2011-11-05 01:30 UTC (History)
5 users (show)

Fixed In Version: blogtk-2.0-5.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-30 00:27:46 UTC
Type: ---


Attachments (Terms of Use)

Description Gerard Ryan 2011-05-08 22:33:56 UTC
abrt version: 2.0.1
architecture:   x86_64
cmdline:        python /usr/bin/blogtk2
comment:        just installed and tried to start Blogtk.
component:      blogtk
executable:     /usr/bin/blogtk2
kernel:         2.6.38.5-24.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        blogtk-2.0-4.fc15
reason:         editor.py:29:<module>:ImportError: No module named gtksourceview2
time:           Sun May  8 18:32:39 2011
uid:            500
username:       grdryn

backtrace:
:editor.py:29:<module>:ImportError: No module named gtksourceview2
:
:Traceback (most recent call last):
:  File "/usr/bin/blogtk2", line 6, in <module>
:    from blogtk2 import main
:  File "/usr/lib/python2.7/site-packages/blogtk2/__init__.py", line 36, in <module>
:    from blogtk2.main import main
:  File "/usr/lib/python2.7/site-packages/blogtk2/main.py", line 41, in <module>
:    import editor
:  File "/usr/lib/python2.7/site-packages/blogtk2/editor.py", line 29, in <module>
:    import gtksourceview2 as gtksourceview
:ImportError: No module named gtksourceview2
:
:Local variables in innermost frame:
:gtk: None
:gnome: None
:__builtins__: {'bytearray': <type 'bytearray'>, 'IndexError': <type 'exceptions.IndexError'>, 'all': <built-in function all>, 'help': Type help() for interactive help, or help(object) for help about object., 'vars': <built-in function vars>, 'SyntaxError': <type 'exceptions.SyntaxError'>, 'unicode': <type 'unicode'>, 'UnicodeDecodeError': <type 'exceptions.UnicodeDecodeError'>, 'memoryview': <type 'memoryview'>, 'isinstance': <built-in function isinstance>, 'copyright': Copyright (c) 2001-2010 Python Software Foundation.
:All Rights Reserved.
:
:Copyright (c) 2000 BeOpen.com.
:All Rights Reserved.
:
:Copyright (c) 1995-2001 Corporation for National Research Initiatives.
:All Rights Reserved.
:
:Copyright (c) 1991-1995 Stichting Mathematisch Centrum, Amsterdam.
:All Rights Reserved., 'NameError': <type 'exceptions.NameError'>, 'BytesWarning': <type 'exceptions.BytesWarning'>, 'dict': <type 'dict'>, 'input': <built-in function input>, 'oct': <built-in function oct>, 'bin': <built-in function bin>, 'SystemExit': <type 'exceptions.SystemExit'>, 'StandardError': <type 'exceptions.StandardError'>, 'format': <built-in function format>, 'repr': <built-in function repr>, 'sorted': <built-in function sorted>, 'False': False, 'RuntimeWarning': <type 'exceptions.RuntimeWarning'>, 'list': <type 'list'>, 'iter': <built-in function iter>, 'reload': <built-in function reload>, 'Warning': <type 'exceptions.Warning'>, '__package__': None, 'round': <built-in function round>, 'dir': <built-in function dir>, 'cmp': <built-in function cmp>, 'set': <type 'set'>, 'bytes': <type 'str'>, 'reduce': <built-in function reduce>, 'intern': <built-in function intern>, 'issubclass': <built-in function issubclass>, 'Ellipsis': Ellipsis, 'EOFError': <type 'exceptions.EOFError'>, 'locals': <built-in function locals>, 'BufferError': <type 'exceptions.BufferError'>, 'slice': <type 'slice'>, 'FloatingPointError': <type 'exceptions.FloatingPointError'>, 'sum': <built-in function sum>, 'getattr': <built-in function getattr>, 'abs': <built-in function abs>, 'exit': Use exit() or Ctrl-D (i.e. EOF) to exit, 'print': <built-in function print>, 'True': True, 'FutureWarning': <type 'exceptions.FutureWarning'>, 'ImportWarning': <type 'exceptions.ImportWarning'>, 'None': None, 'hash': <built-in function hash>, 'ReferenceError': <type 'exceptions.ReferenceError'>, 'len': <built-in function len>, 'credits':     Thanks to CWI, CNRI, BeOpen.com, Zope Corporation and a cast of thousands
:    for supporting Python development.  See www.python.org for more information., 'frozenset': <type 'frozenset'>, '__name__': '__builtin__', 'ord': <built-in function ord>, 'super': <type 'super'>, '_': <function gettext at 0x923b18>, 'TypeError': <type 'exceptions.TypeError'>, 'license': See http://www.python.org/2.7/license.html, 'KeyboardInterrupt': <type 'exceptions.KeyboardInterrupt'>, 'UserWarning': <type 'exceptions.UserWarning'>, 'filter': <built-in function filter>, 'range': <built-in function range>, 'staticmethod': <type 'staticmethod'>, 'SystemError': <type 'exceptions.SystemError'>, 'BaseException': <type 'exceptions.BaseException'>, 'pow': <built-in function pow>, 'RuntimeError': <type 'exceptions.RuntimeError'>, 'float': <type 'float'>, 'MemoryError': <type 'exceptions.MemoryError'>, 'StopIteration': <type 'exceptions.StopIteration'>, 'globals': <built-in function globals>, 'divmod': <built-in function divmod>, 'enumerate': <type 'enumerate'>, 'apply': <built-in function apply>, 'LookupError': <type 'exceptions.LookupError'>, 'open': <built-in function open>, 'quit': Use quit() or Ctrl-D (i.e. EOF) to exit, 'basestring': <type 'basestring'>, 'UnicodeError': <type 'exceptions.UnicodeError'>, 'zip': <built-in function zip>, 'hex': <built-in function hex>, 'long': <type 'long'>, 'next': <built-in function next>, 'ImportError': <type 'exceptions.ImportError'>, 'chr': <built-in function chr>, 'xrange': <type 'xrange'>, 'type': <type 'type'>, '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", 'Exception': <type 'exceptions.Exception'>, 'tuple': <type 'tuple'>, 'UnicodeTranslateError': <type 'exceptions.UnicodeTranslateError'>, 'reversed': <type 'reversed'>, 'UnicodeEncodeError': <type 'exceptions.UnicodeEncodeError'>, 'IOError': <type 'exceptions.IOError'>, 'hasattr': <built-in function hasattr>, 'delattr': <built-in function delattr>, 'setattr': <built-in function setattr>, 'raw_input': <built-in function raw_input>, 'SyntaxWarning': <type 'exceptions.SyntaxWarning'>, 'compile': <built-in function compile>, 'ArithmeticError': <type 'exceptions.ArithmeticError'>, 'str': <type 'str'>, 'property': <type 'property'>, 'GeneratorExit': <type 'exceptions.GeneratorExit'>, 'int': <type 'int'>, '__import__': <built-in function __import__>, 'KeyError': <type 'exceptions.KeyError'>, 'coerce': <built-in function coerce>, 'PendingDeprecationWarning': <type 'exceptions.PendingDeprecationWarning'>, 'file': <type 'file'>, 'EnvironmentError': <type 'exceptions.EnvironmentError'>, 'unichr': <built-in function unichr>, 'id': <built-in function id>, 'OSError': <type 'exceptions.OSError'>, 'DeprecationWarning': <type 'exceptions.DeprecationWarning'>, 'min': <built-in function min>, 'UnicodeWarning': <type 'exceptions.UnicodeWarning'>, 'execfile': <built-in function execfile>, 'any': <built-in function any>, 'complex': <type 'complex'>, 'bool': <type 'bool'>, 'ValueError': <type 'exceptions.ValueError'>, 'NotImplemented': NotImplemented, 'map': <built-in function map>, 'buffer': <type 'buffer'>, 'max': <built-in function max>, 'object': <type 'object'>, 'TabError': <type 'exceptions.TabError'>, 'callable': <built-in function callable>, 'ZeroDivisionError': <type 'exceptions.ZeroDivisionError'>, 'eval': <built-in function eval>, '__debug__': True, 'IndentationError': <type 'exceptions.IndentationError'>, 'AssertionError': <type 'exceptions.AssertionError'>, 'classmethod': <type 'classmethod'>, 'UnboundLocalError': <type 'exceptions.UnboundLocalError'>, 'NotImplementedError': <type 'exceptions.NotImplementedError'>, 'AttributeError': <type 'exceptions.AttributeError'>, 'OverflowError': <type 'exceptions.OverflowError'>}
:__file__: None
:base64: None
:__package__: None
:threading: None
:gobject: None
:time: None
:__name__: None
:ElementTree: None
:os: None
:__doc__: None

Comment 1 Keiran Smith 2011-07-06 01:14:04 UTC
This is a Dependancy Issue.

Install the following through YUM

pygtksourceview

Comment 2 Nik Lam 2011-07-30 05:29:25 UTC
Package: blogtk-2.0-4.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Just installed blogtk using "yum install blogtk". Trying to launch it for the first time generated this abrt message.

Comment 3 Fedora Update System 2011-08-01 15:30:59 UTC
blogtk-2.0-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/blogtk-2.0-5.fc15

Comment 4 Fedora Update System 2011-08-01 15:41:52 UTC
blogtk-2.0-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/blogtk-2.0-4.fc14

Comment 5 Fedora Update System 2011-08-01 16:33:55 UTC
blogtk-2.0-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/blogtk-2.0-5.fc16

Comment 6 Fedora Update System 2011-08-02 02:06:19 UTC
Package blogtk-2.0-5.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing blogtk-2.0-5.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/blogtk-2.0-5.fc15
then log in and leave karma (feedback).

Comment 7 Kellerman Rivero Suarez 2011-08-02 14:56:37 UTC
Package: blogtk-2.0-4.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I open BloGtk2 and Crash

Comment 8 kbridger 2011-08-23 21:12:26 UTC
Package: blogtk-2.0-4.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Try to launch after installing

Comment 9 Fedora Update System 2011-10-30 00:27:46 UTC
blogtk-2.0-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-10-30 00:32:39 UTC
blogtk-2.0-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-11-05 01:30:36 UTC
blogtk-2.0-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.